<?php
include("Bi_permissao_analiseController.php");
require_once($config->diretorio_raiz()."/src/model/bd/Bi_areaDAO.php");
$bi_areaDAO = new Bi_areaDAO(); 
if (isset($_GET["mod"]) && $_GET["mod"] == "filtro_user")
{
	if ( (isset($_GET["codigo"]) and $_GET["codigo"] != "")  )
	{
		$bi_permissao_analise = $bi_permissao_analiseDAO->buscarBi_permissao_analise($_GET["codigo"]);
	}else{
		$bi_permissao_analise = new Bi_permissao_analise();
		$bi_permissao_analise->setAnalise(new Bi_analise());
		$bi_permissao_analise->setGrupo(new Bi_grupo_permissao());
	}
	$listaAnalise = $bi_analiseDAO->listarTodosRegistros(); 
	$listaGrupo = $bi_grupo_permissaoDAO->listarTodosRegistros();
	$listaArea = $bi_areaDAO->listarTodosRegistros(); 	
	if (isset($_GET["analise"]) and $_GET["analise"] != "")
	{
		$bi_permissao_analise->setAnalise($bi_analiseDAO->buscarBi_analise($_GET["analise"]));
		$campo_buscar = "&analise=".$_GET["analise"]; 
	}
	if (isset($_GET["grupo"]) and $_GET["grupo"] != "")
	{
		$bi_permissao_analise->setGrupo($bi_grupo_permissaoDAO->buscarBi_grupo_permissao($_GET["grupo"]));
		$campo_buscar = "&grupo=".$_GET["grupo"]; 
	}
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_analise/Filtro_lista_registrosUser.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "busca_por_campo_filtro_user")
{
	$entrouEmAlgumFiltro = false;
 	
	if(isset($_POST['analise']) and $_POST['analise'] != "")
	{
		$listaAnalise = $bi_analiseDAO->buscarFiltro(" where codigo = ".$_POST['analise']); 
	}
	else
	{
		$where = "";
		if(isset($_POST['area']) and $_POST['area'] != "")
		{
			$where .= " and area = ".$_POST['area'];
		}
		$listaAnalise = $bi_analiseDAO->buscarFiltro(" where exibir_em_analise = 1 ".$where); 
	}
	if(isset($_POST['grupo']) and $_POST['grupo'] != "")
	{
		$listaGrupo = $bi_grupo_permissaoDAO->buscarFiltro(" where codigo = ".$_POST['grupo']); 
	}
	else
	{
		$listaGrupo = $bi_grupo_permissaoDAO->listarTodosRegistros(); 
	}
	
	include_once($config->diretorio_raiz()."/src/view/bi_permissao_analise/Listar_todos_registrosUser.php");
}
elseif (isset($_GET["mod"]) && $_GET["mod"] == "inserir_permissao")
{
	if(true)//$_POST["value"] == "1")
	{
		$listaBi_permissao_analise = $bi_permissao_analiseDAO->buscarFiltro(" where analise = ".$_POST['analise']." and grupo = ".$_POST['grupo']);
		$bi_permissao_analise = new Bi_permissao_analise();
		//$bi_permissao_analise->setCodigo($_POST['codigo']);
		$bi_permissao_analise->setAnalise($_POST['analise']);
		$bi_permissao_analise->setGrupo($_POST['grupo']);
		$bi_permissao_analise->setVisualizar(0);
		$bi_permissao_analise->setAlterar(0);
		if(count($listaBi_permissao_analise) > 0)
		{
			$bi_permissao_analise->setVisualizar($listaBi_permissao_analise[0]->getVisualizar());
			$bi_permissao_analise->setAlterar($listaBi_permissao_analise[0]->getAlterar());
		}
		if($_POST['coluna'] == "visualizar")
		{
			$bi_permissao_analise->setVisualizar($_POST["value"]);
		}
		if($_POST['coluna'] == "alterar")
		{
			$bi_permissao_analise->setAlterar($_POST["value"]);
		}
		
		if(count($listaBi_permissao_analise) == 0)
		{
			try
			{
				$retorno["mensagem"] = "Inserido com sucesso!";
				$retorno["status"] = true;
				$bi_permissao_analiseDAO->salvar($bi_permissao_analise);
			}
			catch (Exception  $e)
			{
				$retorno["mensagem"] = $e->getMessage();
				$retorno["status"] = false;
			}
		}
		else
		{
			$bi_permissao_analise->setCodigo($listaBi_permissao_analise[0]->getCodigo());
			try
			{
				$retorno["mensagem"] = "Alterado com sucesso!";
				$retorno["status"] = true;
				$bi_permissao_analiseDAO->atualizar($bi_permissao_analise);
			}
			catch (Exception  $e)
			{
				$retorno["mensagem"] = $e->getMessage();
				$retorno["status"] = false;
			}
		}
	}
	else
	{
		/*$listaBi_permissao_analise = $bi_permissao_analiseDAO->buscarFiltro(" where analise = ".$_POST['analise']." and grupo = ".$_POST['grupo']);
		foreach($listaBi_permissao_analise as $permissao_analiseLida)
		{
			try
			{
				$bi_permissao_analise = $bi_permissao_analiseDAO->buscarBi_permissao_analise($permissao_analiseLida->getCodigo());
				$bi_permissao_analiseDAO->excluir($bi_permissao_analise);
				$retorno["mensagem"] = utf8_decode("Excluido com sucesso!");
				$retorno["status"] = true;
			}
			catch (Exception  $e)
			{
				$retorno["mensagem"] = $e->getMessage();
				$retorno["status"] = false;
			}
		}*/
	}
	echo json_encode($retorno);
}
